diff --git a/web/pgadmin/utils/driver/psycopg2/__init__.py b/web/pgadmin/utils/driver/psycopg2/__init__.py
index 751dd0c..ec0a8fc 100644
--- a/web/pgadmin/utils/driver/psycopg2/__init__.py
+++ b/web/pgadmin/utils/driver/psycopg2/__init__.py
@@ -53,6 +53,11 @@ psycopg2.extensions.register_type(
     psycopg2.extensions.new_type((701,), 'NaN_TEXT', psycopg2.STRING)
 )
 
+# This registers a type caster for datatype 'interval'.
+psycopg2.extensions.register_type(
+    psycopg2.extensions.new_type((1186,), 'INTERVAL_TEXT', psycopg2.STRING)
+)
+
 
 def register_date_typecasters(connection):
     """
